#
# Process increment/decrement button.
# 'v' contains current entry; if non-numeric, ignore.
# Global doesn't seem to like array elements.
#
# $Id: button_inc.tcl,v 1.2 1998/07/20 16:41:26 stb Exp $
#
proc button_inc { v {inc 1}} {

  # must declare array as global
  set a [lindex [split $v "("] 0]
  global $a

  # check if numeric
  set value [set $v]
  if {[regexp {[0-9.]+|-[0-9.]+} $value] == 1} {
    set $v [expr {$value + $inc}]
  }
}
