#include <X11/Xlib.h>
#include <X11/Xos.h>     /* need type declarations immediately */
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>
#include <X11/Intrinsic.h>
#include <X11/Xatom.h>
#include <X11/Xmd.h>
/* include files */
#include <stdio.h>
#include <math.h>
#include <ctype.h>

/* RANGE forces a to be in the range b..c (inclusive) */
#define RANGE(a,b,c) { if (a < b) a = b;  if (a > c) a = c; }

#define CONV24_FAST  5
#define CONV24_SLOW  6
#define CONV24_BEST  7

/* PICINFO Stuff */ 
int DEBUG;
/*typedef unsigned char byte;*/
unsigned char *grabPic ;
int  gbits;                              /* either '8' or '24' */
unsigned char grabmapR[256], grabmapG[256], grabmapB[256];  /* colormap */
int  gWIDE,gHIGH;

char          *cmd;                   /* program name for printf's */
int            noqcheck;      /* true if we should NOT do QuickCheck */
int            conv24;        /* 24to8 algorithm to use (CONV24_*) */

#undef PARM
#ifdef __STDC__
#  define PARM(a) a
#else
#  define PARM(a) ()
#  define const
#endif

/* the maximum window size */
int dispWIDE,dispHIGH;


