/* this file was machine generated from nevot.tcl */
/* on Wed Dec  9 12:34:00 MET 1998 by koepsel  */

char nevot_tcl[] = "\
proc usage {} {\n\
global argv0 errorFatal\n\
set errorFatal 1\n\
return \"Usage: $argv0 \\[-p tcp/localhost/port | udp/MC-address/port\\]\"\n\
}\n\
proc nevot {} {\n\
global env\n\
global nevot_library vu_size msg\n\
global bg argv0\n\
global controller\n\
wm title      . \"NeVoT [infon version]@[exec uname -n]\"\n\
wm iconbitmap . nevot_icon\n\
wm iconmask   . nevot_mask\n\
wm iconname   . \"NeVoT\"\n\
catch {destroy .base .msg}\n\
set bg [lindex [. configure -background] 4]\n\
frame .base\n\
frame .base.1 -borderwidth 10\n\
frame .base.2 -borderwidth 10\n\
pack \\\n\
[menubutton .base.settings -text \"Settings\" -padx 4 \\\n\
-menu .base.settings.menu -underline 0] \\\n\
[button .base.quit   -text \"Quit\"   -padx 4 -command nevot_exit] \\\n\
-in .base.1 -side left -expand true -fill both\n\
set m [menu .base.settings.menu -tearoff 0]\n\
$m add command -label \"local audio\" \\\n\
-command audio_panel\n\
$m add command -label \"automatic gain control\" \\\n\
-command agc_panel\n\
$m add command -label \"echo suppression\" \\\n\
-command echo_panel\n\
$m add command -label \"silence detection\" \\\n\
-command silence_panel\n\
$m add command -label \"volume meter\" \\\n\
-command vu_panel\n\
$m add command -label \"timeouts\" \\\n\
-command timeout_panel\n\
$m add command -label \"debugging\" \\\n\
-command debug_panel\n\
pack \\\n\
[canvas .base.vu -width 100 -height 40] \\\n\
-in .base.2 -side top -pady 4 -anchor w -fill x\n\
.base.vu create line 0  5 0  5 -width 10 -fill green  -tag in_green \n\
.base.vu create line 0  5 0  5 -width 10 -fill yellow -tag in_yellow\n\
.base.vu create line 0  5 0  5 -width 10 -fill red    -tag in_red\n\
.base.vu create line 0 35 0 35 -width 10 -fill green  -tag out_green \n\
.base.vu create line 0 35 0 35 -width 10 -fill yellow -tag out_yellow\n\
.base.vu create line 0 35 0 35 -width 10 -fill red    -tag out_red\n\
.base.vu create line 0  0 0  0 -width  1              -tag max\n\
bind .base.vu <Configure> {vu_resize %w}\n\
pack .base.1 .base.2 -side top -expand true -fill both\n\
pack .base -side top -fill both\n\
tkwait visibility .base\n\
bind . <Destroy> {nevot_exit}\n\
update\n\
wm minsize    . [winfo width .] [winfo height .]\n\
wm maxsize    . [lindex [wm maxsize .] 0] [winfo height .] \n\
}\n\
proc vu_resize {size} {\n\
global vu_size\n\
set vu_size $size\n\
.base.vu delete labels\n\
foreach dB {{60 0.05} \n\
{50 0.12}\n\
{40 0.24}\n\
{30 0.36}\n\
{20 0.48}\n\
{10 0.60}\n\
{ 7 0.71}\n\
{ 4 0.82}\n\
{ 2 0.90}\n\
{ 0 0.97}} {\n\
.base.vu create text [expr [lindex $dB 1]*$vu_size] 20 \\\n\
-anchor c -justify c -font *helvetica-*-r-*-*-12* \\\n\
-text [lindex $dB 0] -tag labels\n\
}\n\
}\n\
proc nevot_exit {} {\n\
global env\n\
terminate\n\
control_send \"agent NeVoT[infon version] detached [pid]\"\n\
catch {exec rm $env(HOME)/.nevotpid}\n\
exit  \n\
}\n\
set auto_path \"$nevot_library $auto_path\"\n\
if {![info exists nevot_library]} {\n\
error \"Environment variable NEVOT_LIBRARY is undefined.\"\n\
nevot_exit\n\
}\n\
proc tkerror err {\n\
global tk_library errorInfo\n\
if [info exists tk_library] {tkerror.nevot $err} else {error $errorInfo}\n\
}\n\
set top Null  \n\
option add $top.debug      \"\"        startupFile\n\
option add $top.debugfile  nevot.log startupFile\n\
set debug      [option get . debug      Nevot]\n\
set debugfile  [option get . debugfile  Nevot]\n\
set helvetica10  \"-*-helvetica-medium-r-normal--*-100-*\"\n\
set helvetica10b \"-*-helvetica-bold-r-normal--*-100-*\"\n\
global argv0 argv argc\n\
set helvetica10o \"-*-helvetica-bold-o-normal--*-100-*\"\n\
set helvetica12  \"-*-helvetica-medium-r-normal--*-120-*\"\n\
set helvetica12b \"-*-helvetica-bold-r-normal--*-120-*\"\n\
set helvetica14  \"-*-helvetica-medium-r-normal--*-140-*\"\n\
set helvetica14b \"-*-helvetica-bold-r-normal--*-140-*\"\n\
set times14      \"-*-times-medium-r-normal--*-140-*\"\n\
option add $top.*background lightgray startupFile\n\
option add $top.*foreground black startupFile\n\
option add $top.*activeBackground gray50 startupFile\n\
option add $top.*activeForeground white startupFile\n\
option add $top.*selectBackground gray95 startupFile\n\
option add $top.*Font $helvetica14b startupFile\n\
nevot_defs\n\
if {[catch {source ~/.nevotrc-$env(HOST)}]} {\n\
catch {source ~/.nevotrc}\n\
}\n\
control_init $controller\n\
control_send \"+ all/all/all\"\n\
control_send \"+ session */audio/*\"\n\
control_send \"agent NeVoT[infon version] attached [pid]\"\n\
proc update_active { } {\n\
active_all\n\
after 10000 update_active\n\
}\n\
update_active\n\
. configure -bg [option get . background Background] \n\
nevot\n\
   ";
