/* this file was machine generated from pmm_audioctl.tcl */
/* on Mon Jul 20 23:29:30 CEST 1998 by koepsel  */

char pmm_audioctl_tcl[] = "\
proc pmm_audioctl {} {\n\
global in_list out_list tkaudio_library gain\n\
global record play monitor isc_active_flag\n\
set isc_active_flag 0\n\
after 20000 check_isc_activity\n\
set a [ports]\n\
set in_list  [lindex $a 0]\n\
set out_list [lindex $a 1]\n\
if {![info exists gain(microphone_in)]} {\n\
	set gain(microphone_in) $record(gain)\n\
}\n\
if {![info exists gain(line_in)]} {\n\
	set gain(line_in) $record(gain)\n\
}\n\
if {![info exists gain(digital_in)]} {\n\
	set gain(digital_in) $record(gain)\n\
}\n\
if {![info exists gain(line_out)]} {\n\
	set gain(line_out) $play(gain)\n\
}\n\
if {![info exists gain(digital_out)]} {\n\
	set gain(digital_out) $play(gain)\n\
}\n\
if {![info exists gain(speaker_out)]} {\n\
	set gain(speaker_out) $play(gain)\n\
}\n\
if {![info exists gain(headphone_out)]} { \n\
	set gain(headphone_out) $play(gain) \n\
} \n\
if {![info exists gain(monitor)]} { \n\
	set gain(monitor) $monitor(gain) \n\
} \n\
\n\
trace variable record(port)  w rec_port_trace \n\
trace variable play(port)    w play_port_trace \n\
trace variable record(gain)  w rec_gain_trace \n\
trace variable play(gain)    w play_gain_trace \n\
control_send \"*/au_ctrl/* play(port) $play(port)\"\n\
control_send \"*/au_ctrl/* record(port) $record(port)\"\n\
control_send \"*/au_ctrl/* record(gain) $record(gain)\"\n\
control_send \"*/au_ctrl/* play(gain) $play(gain)\"\n\
} \n\
proc rec_port_handler {} { \n\
global record in_list \n\
\n\
set rp $record(port) \n\
set record(port) [lindex $in_list [expr ([lsearch $in_list $rp]+1)%[llength $in_list]]] \n\
control_send \"*/au_ctrl/* record(port) $record(port)\"\n\
}\n\
\n\
proc rec_port_trace {name element op} { \n\
global record gain \n\
\n\
if {$gain($record(port)_in) != \"*\"} { \n\
	set record(gain) $gain($record(port)_in) \n\
}\n\
control_send \"*/au_ctrl/* record(port) $record(port)\"\n\
} \n\
proc play_port_handler {} { \n\
global play out_list \n\
set play(port) [lindex $out_list [expr ([lsearch $out_list $play(port)]+1)%[llength $out_list]]] \n\
control_send \"*/au_ctrl/* play(port) $play(port)\"\n\
} \n\
proc play_port_trace {name element op} { \n\
global gain play \n\
if {$gain($play(port)_out) != \"*\"} { \n\
	set play(gain) $gain($play(port)_out) \n\
} \n\
control_send \"*/au_ctrl/* play(port) $play(port)\"\n\
} \n\
proc rec_gain_trace {name1 name2 op} { \n\
global record gain \n\
set gain($record(port)_in) $record(gain) \n\
control_send \"*/au_ctrl/* record(gain) $record(gain)\"\n\
} \n\
proc play_gain_trace {name1 name2 op} { \n\
global play gain \n\
set gain($play(port)_out) $play(gain) \n\
control_send \"*/au_ctrl/* play(gain) $play(gain)\"\n\
} \n\
proc monitor_gain_trace {name1 name2 op} { \n\
global monitor gain\n\
set gain(monitor) $monitor(gain)\n\
control_send \"*/au_ctrl/* monitor(gain) $monitor(gain)\"\n\
} \n\
if [file exists \"/var/tmp/pmm_audioctl.pid\"] {\n\
puts \"Another copy of pmm_audioctl seems to run\"\n\
exit\n\
}\n\
if [catch {open /var/tmp/pmm_audioctl.pid w+} fileId] {\n\
puts \"Can't create pid file\"\n\
exit\n\
} else {\n\
puts $fileId [pid]\n\
close $fileId\n\
}\n\
set debug 0\n\
control_init {udp 225.2.0.1 5010}\n\
pmm_audioctl\n\
\n\
   ";
