#
# Tcl client for getting local user id for invited user
# Return list of user names
#

if {[file executable $sipd_bin/aliases] && [file readable $alias_data_base]} {
    set login [exec $sipd_bin/aliases -a $alias_data_base $user]
    if [llength $login] {
	puts $login
	return TCL_OK
    }
}

if [file executable $sipd_bin/namemapper] {
    set login [exec $sipd_bin/namemapper $user]
    puts $login
    return TCL_OK
}

return TCL_OK

