/*
 * yuc.h
 *
 * variables and structures need for the yuv decompression operations
 *
 * (C) 1996 Dorgham Sisalem
 *
 *  See the copyright file for copyright information
 */
 
 
#ifndef YUV_H
#define YUV_H
#ifdef XIL
#include <xil/xil.h> 

typedef struct {
  int width, height;
  XilImage image, display, imageYCC;
  XilSystemState state;
  XilCis cis;
} yuv_config;

/* yuv.c */
extern int YUV_init(session_t *s);

extern void YUV_draw(int arg, ...);
extern int YUV_AllocColors(char* c,char* the_Visual, char* the_Disp,int scale);
extern char* Init_YUVDecoder(int width, int height, int q,char* display, 
			     int window, char* the_Visual );
extern char* Delete_YUVDecoder(char* config );
extern void YUV_ReInit(char* decode, char* theDisp, int window);
extern void YUVDecoder(u_char* image, int len,int value,char* decode,char* the_Image);
#endif

#endif
