#ifndef _udp_h_
#define _udp_h_

typedef struct {
  int multicast; /* flag: multicast */
  int in;        /* input socket */
  int out;       /* output socket */
  int port;      /* destination/bind port */
  u_int32 addr;  /* address */
} udp_t;

extern int UDP_close(void *u_pt);
extern int UDP_connect(tsap_t *tsap, tsap_t *taspl, Notify_func_input, 
	Notify_client, void **u_pt);
extern int UDP_read(int sock, void *buf, int size, tsap_t *tsap);
extern int UDP_write(void *u_pt, mbuf_t *b, tsap_t *tsap);
extern int UDP_ttl(void *u_pt, int ttl);
#endif
